{ pkgs, ... }: {
  nixpkgs.config = {
    permittedInsecurePackages = [ ];
    allowUnfree = true;
    android_sdk.accept_license = true;
    packageOverrides = pkgs: rec {
      custom = import ../../../../packages { inherit pkgs; };
    };

  };
  nixpkgs.overlays = import ../../../../overlays { inherit pkgs; };
  nix = {
    package = pkgs.nixFlakes;
    extraOptions = ''
      experimental-features = nix-command flakes
      warn-dirty = false
      keep-outputs = true
      keep-derivations = true
    '';
    gc = {
      automatic = true;
      dates = "weekly";
      options = "--delete-older-than 7d";
    };
    settings = {
      auto-optimise-store = true;
      builders-use-substitutes = true;
      substituters = [
        "https://hyprland.cachix.org"
        "https://cache.nixos.org"
        "https://helcel.cachix.org"
      ];
      trusted-public-keys = [
        "hyprland.cachix.org-1:a7pgxzMz7+chwVL3/pzj6jIBMioiJM7ypFP8PwtkuGc="
        "cache.nixos.org-1:6NCHdD59X431o0gWypbMrAURkbJ16ZPMQFGspcDShjY="
        "helcel.cachix.org-1:95s8D+N2xIHwzmkuu7jMUp9t3rtN4EimafR73jO7GLg="
      ];
    };
  };
  system.stateVersion = "24.05";
}
